summaryrefslogtreecommitdiffstats
path: root/system/xen/xen.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/xen/xen.SlackBuild')
-rw-r--r--system/xen/xen.SlackBuild51
1 files changed, 29 insertions, 22 deletions
diff --git a/system/xen/xen.SlackBuild b/system/xen/xen.SlackBuild
index 959ae1ec2b..5f3f380186 100644
--- a/system/xen/xen.SlackBuild
+++ b/system/xen/xen.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xen
-# Copyright 2010, 2011, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020 Mario Preksavec, Zagreb, Croatia
+# Copyright 2010, 2023 Mario Preksavec, Zagreb, Croatia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,14 +25,14 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=xen
-VERSION=${VERSION:-4.13.1}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-4.18.0}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-SEABIOS=${SEABIOS:-1.12.1}
-OVMF=${OVMF:-20190606_20d2e5a125}
-IPXE=${IPXE:-1dd56dbd11082fb622c2ed21cfaced4f47d798a6}
+SEABIOS=${SEABIOS:-1.16.2}
+OVMF=${OVMF:-20230524_ba91d0292e}
+IPXE=${IPXE:-1d1cf74a5e58811822bee4b3da3cff7282fcdfca}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -42,9 +42,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -55,11 +52,12 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
+ cat << EOF
+
+ *** Xen x86/32 target no longer supported!
+
+EOF
+ exit 1
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
@@ -72,7 +70,7 @@ elif [ "$ARCH" = "x86_64" ]; then
# ln -s /usr/include/gnu/stubs-64.h /usr/include/gnu/stubs-32.h
EOF
- exit
+ exit 1
fi
else
SLKCFLAGS="-O2"
@@ -105,11 +103,6 @@ case "${USE_LIBSSH:-no}" in
*) CONF_QEMUU+=" --disable-libssh" ;;
esac
-case "${USE_BLUEZ:-no}" in
- yes) CONF_QEMUU+=" --enable-bluez" ;;
- *) CONF_QEMUU+=" --disable-bluez" ;;
-esac
-
case "${USE_GTK:-no}" in
yes) CONF_QEMUU+=" --enable-gtk" ;;
*) CONF_QEMUU+=" --disable-gtk" ;;
@@ -176,9 +169,20 @@ patch -p1 <$CWD/patches/stubdom_zlib_disable_man_install.diff
# Fix glibc-2.27 build
if [ "$(ldd --version | awk '{print $NF; exit}')" = "2.27" ]; then
- ( cd tools/qemu-xen && patch -p1 <$CWD/patches/glibc-memfd_fix_configure_test.patch )
+ tools/qemu-xen && patch -d tools/qemu-xen -p1 <$CWD/patches/glibc-memfd_fix_configure_test.patch
+fi
+
+# Fix ovmf firmware build
+patch -p1 <$CWD/patches/edk2-ovmf-werror.diff
+
+# Fix binutils-2.36 build
+if [ "$(objcopy --version | awk '{print $NF; exit}' | cut -d- -f1)" = "2.36" ]; then
+ patch -p1 <$CWD/patches/qemu-xen-no-pie.diff
fi
+# Revert QEMU password removal for spice
+patch -d tools/qemu-xen -p1 -R <$CWD/patches/qemu-remove-password-option-for-spice.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -200,6 +204,9 @@ make install-xen \
MANDIR=/usr/man \
DESTDIR=$PKG
+echo CONFIG_GOLANG=n >> xen/.config
+echo CONFIG_GOLANG=n > tools/.config
+
make install-tools \
docdir=/usr/doc/$PRGNAM-$VERSION \
DOCDIR=/usr/doc/$PRGNAM-$VERSION \
@@ -233,7 +240,7 @@ find $PKG/boot/ -type l -a -name "xen-*" -exec rm -f {} \; 2>/dev/null || true
rmdir $PKG/etc/rc.d/init.d/
# Append .new to config files
-for i in $PKG/etc/{default/*,xen/*.conf} ; do mv $i $i.new ; done
+for i in $PKG/etc/{default/*,xen/*.conf,sysconfig/*} ; do [ -f $i ] && mv $i $i.new ; done
# Remove some executable flags
chmod -x $PKG/usr/libexec/xen/boot/*.gz 2>/dev/null || true